<script lang="ts">
	import { cn } from '$lib/utils';

	let {
		class: className,
		value = $bindable(''),
		type = 'text',
		...restProps
	}: {
		class?: string;
		value?: string;
		type?: string;
	} = $props();
</script>

<input
	{type}
	bind:value
	class={cn(
		'flex h-11 w-full rounded-md border border-input bg-transparent px-3 py-2 text-base shadow-sm transition-colors file:border-0 file:bg-transparent file:text-sm file:font-medium file:text-foreground placeholder:text-muted-foreground focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-1 disabled:cursor-not-allowed disabled:opacity-50 md:text-sm',
		className
	)}
	{...restProps}
/>
